VSTGUI 4.5 Graphical User Interface Framework not only for VST plugins

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Functions Variables Typedefs Enumerations Enumerator Friends Groups Pages
Public Types | Public Member Functions | Public Attributes | Protected Member Functions | Protected Attributes | List of all members
CTextEdit Class Reference
Controls

a text edit control More...

Inheritance diagram for CTextEdit:

## Public Types
enum | Style { kDoubleClickStyle = 1 << StyleDoubleClick }
using | PlatformTextEditPtr = SharedPointer< IPlatformTextEdit >
Public Types inherited from CTextLabel
enum | TextTruncateMode { kTruncateNone = 0, kTruncateHead, kTruncateTail }
Public Types inherited from CParamDisplay
enum | Style { kShadowText = 1 << StyleShadowText, k3DIn = 1 << Style3DIn, k3DOut = 1 << Style3DOut, kNoTextStyle = 1 << StyleNoText, kNoDrawStyle = 1 << StyleNoDraw, kRoundRectStyle = 1 << StyleRoundRect, kNoFrame = 1 << StyleNoFrame }
using | ValueToStringUserData = CParamDisplay
using | ValueToStringFunction = std::function< bool(float value, char utf8String[256], CParamDisplay *display)>
using | ValueToStringFunction2 = std::function< bool(float value, std::string &result, CParamDisplay *display)>
Public Types inherited from CView
enum | MouseListenerCall { MouseDown, MouseMoved, MouseUp, MouseCancel }

## Public Member Functions
| CTextEdit (const CRect &size, IControlListener *listener, int32_t tag, UTF8StringPtr txt=nullptr, CBitmap *background=nullptr, const int32_t style=0)
| CTextEdit constructor. More...
| CTextEdit (const CTextEdit &textEdit)
bool | isDoubleClickStyle () const
void | setText (const UTF8String &txt) override
| set text More...
void | valueChanged () override
| notifies listener and dependent objects More...
void | setValue (float val) override
void | setTextRotation (double angle) override
void | draw (CDrawContext *pContext) override
| called if the view should draw itself More...
CMouseEventResult | onMouseDown (CPoint &where, const CButtonState &buttons) override
| called when a mouse down event occurs More...
int32_t | onKeyDown (VstKeyCode &keyCode) override
| called if a key down event occurs and this view has focus More...
void | takeFocus () override
| called if view should take focus More...
void | looseFocus () override
| called if view should loose focus More...
bool | wantsFocus () const override
| check if view supports focus More...
void | setViewSize (const CRect &newSize, bool invalid=true) override
| set views size More...
void | parentSizeChanged () override
| notification that one of the views parent has changed its size More...
PlatformTextEditPtr | getPlatformTextEdit () const
CBaseObject * | newCopy () const override
Public Member Functions inherited from CTextLabel
| CTextLabel (const CRect &size, UTF8StringPtr txt=nullptr, CBitmap *background=nullptr, const int32_t style=0)
| CTextLabel constructor. More...
| CTextLabel (const CTextLabel &textLabel)
void | draw (CDrawContext *pContext) override
| called if the view should draw itself More...
bool | sizeToFit () override
| resize view to optimal size More...
void | setViewSize (const CRect &rect, bool invalid=true) override
| set views size More...
void | drawStyleChanged () override
void | valueChanged () override
| notifies listener and dependent objects More...
CBaseObject * | newCopy () const override
virtual const UTF8String & | getText () const
| read only access to text More...
virtual void | setTextTruncateMode (TextTruncateMode mode)
| set text truncate mode More...
TextTruncateMode | getTextTruncateMode () const
| get text truncate mode More...
const UTF8String & | getTruncatedText () const
| get the truncated text More...
void | registerTextLabelListener (ITextLabelListener *listener)
| register a text label listener More...
void | unregisterTextLabelListener (ITextLabelListener *listener)
| unregister a text label listener More...
Public Member Functions inherited from CParamDisplay
| CParamDisplay (const CRect &size, CBitmap *background=nullptr, int32_t style=0)
| CParamDisplay (const CParamDisplay &paramDisplay)
bool | getFocusPath (CGraphicsPath &outPath) override
| the graphics path will be drawn filled with the evenodd method and the color set in CFrame::setFocusColor() More...
bool | removed (CView *parent) override
| view is removed from parent view More...
virtual void | setFont (CFontRef fontID)
const CFontRef | getFont () const
virtual void | setFontColor (CColor color)
CColor | getFontColor () const
virtual void | setBackColor (CColor color)
CColor | getBackColor () const
virtual void | setFrameColor (CColor color)
CColor | getFrameColor () const
virtual void | setShadowColor (CColor color)
CColor | getShadowColor () const
virtual void | setShadowTextOffset (const CPoint &offset)
CPoint | getShadowTextOffset () const
virtual void | setAntialias (bool state)
bool | getAntialias () const
virtual void | setHoriAlign (CHoriTxtAlign hAlign)
CHoriTxtAlign | getHoriAlign () const
virtual void | setTextInset (const CPoint &p)
CPoint | getTextInset () const
double | getTextRotation () const
virtual void | setRoundRectRadius (const CCoord &radius)
CCoord | getRoundRectRadius () const
virtual void | setFrameWidth (const CCoord &width)
CCoord | getFrameWidth () const
void | setValueToStringFunction (const ValueToStringFunction &valueToStringFunc)
void | setValueToStringFunction (ValueToStringFunction &&valueToStringFunc)
void | setValueToStringFunction2 (const ValueToStringFunction2 &valueToStringFunc)
void | setValueToStringFunction2 (ValueToStringFunction2 &&valueToStringFunc)
virtual void | setStyle (int32_t val)
int32_t | getStyle () const
virtual void | setPrecision (uint8_t precision)
uint8_t | getPrecision () const
virtual void | setBackOffset (const CPoint &offset)
const CPoint & | getBackOffset () const
void | copyBackOffset ()
Public Member Functions inherited from CControl
| CControl (const CRect &size, IControlListener *listener=nullptr, int32_t tag=0, CBitmap *pBackground=nullptr)
| CControl (const CControl &c)
bool | isDirty () const override
| check if view is dirty More...
void | setDirty (bool val=true) override
| set the view to dirty so that it is redrawn in the next idle. More...
bool | drawFocusOnTop () override
| draw focus before view will be drawn or afterwards More...
virtual float | getValue () const
virtual void | setValueNormalized (float val)
virtual float | getValueNormalized () const
virtual void | setMin (float val)
virtual float | getMin () const
virtual void | setMax (float val)
virtual float | getMax () const
float | getRange () const
virtual void | setOldValue (float val)
virtual float | getOldValue (void) const
virtual void | setDefaultValue (float val)
virtual float | getDefaultValue (void) const
virtual void | bounceValue ()
virtual bool | checkDefaultValue (CButtonState button)
virtual void | setTag (int32_t val)
virtual int32_t | getTag () const
virtual void | beginEdit ()
virtual void | endEdit ()
bool | isEditing () const
virtual IControlListener * | getListener () const
| get main listener More...
virtual void | setListener (IControlListener *l)
| set main listener More...
void | registerControlListener (IControlListener *listener)
| register a sub listener More...
void | unregisterControlListener (IControlListener *listener)
| unregister a sub listener More...
virtual void | setWheelInc (float val)
virtual float | getWheelInc () const
Public Member Functions inherited from CView
| CView (const CRect &size)
| CView (const CView &view)
void | setSubviewState (bool state)
bool | isSubview () const
virtual bool | wantsWindowActiveStateChangeNotification () const
| whether this view wants to be informed if the window's active state changes More...
virtual void | onWindowActivate (bool state)
| called when the active state of the window changes More...
void | setTooltipText (UTF8StringPtr text)
virtual CViewContainer * | asViewContainer ()
virtual const CViewContainer * | asViewContainer () const
CMouseEventResult | callMouseListener (MouseListenerCall type, CPoint pos, CButtonState buttons)
void | callMouseListenerEnteredExited (bool mouseEntered)
CMessageResult | notify (CBaseObject *sender, IdStringPtr message) override
void | beforeDelete () override
CBaseObject * | newCopy () const override
virtual CMouseEventResult | onMouseUp (CPoint &where, const CButtonState &buttons)
| called when a mouse up event occurs More...
virtual CMouseEventResult | onMouseMoved (CPoint &where, const CButtonState &buttons)
| called when a mouse move event occurs More...
virtual CMouseEventResult | onMouseCancel ()
| called when mouse tracking should be canceled More...
virtual CMouseEventResult | onMouseEntered (CPoint &where, const CButtonState &buttons)
| called when the mouse enters this view More...
virtual CMouseEventResult | onMouseExited (CPoint &where, const CButtonState &buttons)
| called when the mouse leaves this view More...
void | setHitTestPath (CGraphicsPath *path)
virtual bool | hitTest (const CPoint &where, const CButtonState &buttons=-1)
| check if where hits this view More...
virtual void | setMouseEnabled (bool bEnable=true)
| turn on/off mouse usage for this view More...
bool | getMouseEnabled () const
| get the state of wheather this view uses the mouse or not More...
virtual void | setMouseableArea (const CRect &rect)
| set the area in which the view reacts to the mouse More...
CRect & | getMouseableArea (CRect &rect) const
| get the area in which the view reacts to the mouse More...
const CRect & | getMouseableArea () const
| read only access to the mouseable area More...
bool | doDrag (const DragDescription &dragDescription, const SharedPointer< IDragCallback > &callback={})
| start a drag operation More...
virtual SharedPointer < IDropTarget > | getDropTarget ()
| get the drag target for drag and drop handling More...
void | setDropTarget (const SharedPointer< IDropTarget > &dt)
| set a custom drop target More...
DragResult | doDrag (IDataPackage *source, const CPoint &offset=CPoint(0, 0), CBitmap *dragBitmap=nullptr)
| a drag can only be started from within onMouseDown More...
virtual int32_t | onKeyUp (VstKeyCode &keyCode)
| called if a key up event occurs and this view has focus More...
CCoord | getHeight () const
| get the height of the view More...
CCoord | getWidth () const
| get the width of the view More...
const CRect & | getViewSize () const
| read only access to view size More...
virtual CRect | getVisibleViewSize () const
| returns the visible size of the view More...
virtual CPoint & | frameToLocal (CPoint &point) const
| conversion from frame coordinates to local view coordinates More...
virtual CPoint & | localToFrame (CPoint &point) const
| conversion from local view coordinates to frame coordinates More...
virtual void | setAutosizeFlags (int32_t flags)
| set autosize flags More...
int32_t | getAutosizeFlags () const
| get autosize flags More...
virtual void | setWantsFocus (bool state)
| set focus support on/off More...
bool | getAttributeSize (const CViewAttributeID id, uint32_t &outSize) const
| get the size of an attribute More...
bool | getAttribute (const CViewAttributeID id, const uint32_t inSize, void *outData, uint32_t &outSize) const
| get an attribute More...
bool | setAttribute (const CViewAttributeID id, const uint32_t inSize, const void *inData)
| set an attribute More...
bool | removeAttribute (const CViewAttributeID id)
| remove an attribute More...
template<typename T >
bool | setAttribute (const CViewAttributeID id, const T &data)
| set an attribute More...
template<typename T >
bool | getAttribute (const CViewAttributeID id, T &data) const
| get an attribute More...
virtual void | setBackground (CBitmap *background)
| set the background image of this view More...
CBitmap * | getBackground () const
| get the background image of this view More...
virtual void | setDisabledBackground (CBitmap *background)
| set background image used when the mouse is not enabled More...
CBitmap * | getDisabledBackground () const
| get background image used when the mouse is not enabled More...
CBitmap * | getDrawBackground () const
| get the bitmap which is drawn depending on the enabled state. More...
virtual void | setTransparency (bool val)
| set views transparent state More...
bool | getTransparency () const
| get views transparent state More...
virtual void | setAlphaValue (float alpha)
| set alpha value which will be applied when drawing this view More...
float | getAlphaValue () const
| get alpha value More...
virtual bool | attached (CView *parent)
| view is attached to a parent view More...
bool | isAttached () const
| is view attached to a parentView More...
CView * | getParentView () const
| get parent view More...
CFrame * | getFrame () const
| get frame More...
virtual VSTGUIEditorInterface * | getEditor () const
| get editor More...
void | addAnimation (IdStringPtr name, Animation::IAnimationTarget *target, Animation::ITimingFunction *timingFunction, CBaseObject *notificationObject=nullptr)
void | addAnimation (IdStringPtr name, Animation::IAnimationTarget *target, Animation::ITimingFunction *timingFunction, const Animation::DoneFunction &doneFunc)
void | removeAnimation (IdStringPtr name)
void | removeAllAnimations ()
void | registerViewListener (IViewListener *listener)
void | unregisterViewListener (IViewListener *listener)
void | registerViewMouseListener (IViewMouseListener *listener)
void | unregisterViewMouseListener (IViewMouseListener *listener)
CGraphicsTransform | getGlobalTransform () const
| get the active global transform for this view More...
template<typename T >
T & | translateToGlobal (T &t) const
| translates a local coordinate to a global one using parent transforms More...
template<typename T >
T | translateToGlobal (const T &t) const
| translates a local coordinate to a global one using parent transforms More...
template<typename T >
T & | translateToLocal (T &t) const
| translates a global coordinate to a local one using parent transforms More...
template<typename T >
T | translateToLocal (const T &t) const
| translates a local coordinate to a global one using parent transforms More...
virtual void | drawRect (CDrawContext *pContext, const CRect &updateRect)
| called if the view should draw itself More...
virtual bool | checkUpdate (const CRect &updateRect) const
virtual void | invalidRect (const CRect &rect)
| mark rect as invalid More...
virtual void | invalid ()
| mark whole view as invalid More...
virtual void | setVisible (bool state)
| set visibility state More...
bool | isVisible () const
| get visibility state More...
virtual void | onIdle ()
| called on idle when view wants idle More...
void | setWantsIdle (bool state)
| enable/disable onIdle() callback More...
bool | wantsIdle () const
| returns if the view wants idle callback or not More...
Public Member Functions inherited from CBaseObject
| CBaseObject ()=default
| ~CBaseObject () noexceptoverride=default
| CBaseObject (const CBaseObject &o)
CBaseObject & | operator= (const CBaseObject &obj)
Public Member Functions inherited from ReferenceCounted< T >
| ReferenceCounted ()=default
virtual | ~ReferenceCounted () noexcept=default
| ReferenceCounted (const ReferenceCounted &)
ReferenceCounted & | operator= (const ReferenceCounted &)
void | forget () override
| decrease refcount and delete object if refcount == 0 More...
void | remember () override
| increase refcount More...
virtual int32_t | getNbReference () const
| get refcount More...
Public Member Functions inherited from IFocusDrawing
virtual | ~IFocusDrawing () noexcept=default
Public Member Functions inherited from IDependency
virtual void | addDependency (CBaseObject *obj)
| add a dependent object More...
virtual void | removeDependency (CBaseObject *obj)
| remove a dependent object. More...
virtual void | changed (IdStringPtr message)
| notify dependent objects of change with message. More...
virtual void | deferChanges (bool state)
| defer changes until later. More...

## Public Attributes
bool | bWasReturnPressed {false}

## Protected Member Functions
| ~CTextEdit () noexceptoverride
void | createPlatformTextEdit ()
void | updateText (IPlatformTextEdit *pte)
CColor | platformGetBackColor () const override
CColor | platformGetFontColor () const override
CFontRef | platformGetFont () const override
CHoriTxtAlign | platformGetHoriTxtAlign () const override
const UTF8String & | platformGetText () const override
const UTF8String & | platformGetPlaceholderText () const override
CRect | platformGetSize () const override
CRect | platformGetVisibleSize () const override
CPoint | platformGetTextInset () const override
void | platformLooseFocus (bool returnPressed) override
bool | platformOnKeyDown (const VstKeyCode &key) override
void | platformTextDidChange () override
bool | platformIsSecureTextEdit () override
Protected Member Functions inherited from CTextLabel
| ~CTextLabel () noexceptoverride=default
void | freeText ()
void | calculateTruncatedText ()
bool | onWheel (const CPoint &where, const float &distance, const CButtonState &buttons) override
| called if a mouse wheel event is happening over this view More...
bool | onWheel (const CPoint &where, const CMouseWheelAxis &axis, const float &distance, const CButtonState &buttons) override
| called if a mouse wheel event is happening over this view More...
Protected Member Functions inherited from CParamDisplay
| ~CParamDisplay () noexceptoverride
virtual void | drawBack (CDrawContext *pContext, CBitmap *newBack=nullptr)
virtual void | drawPlatformText (CDrawContext *pContext, IPlatformString *string)
virtual void | drawPlatformText (CDrawContext *pContext, IPlatformString *string, const CRect &size)
Protected Member Functions inherited from CControl
| ~CControl () noexceptoverride=default
Protected Member Functions inherited from CView
| ~CView () noexceptoverride
CGraphicsPath * | getHitTestPath () const
bool | hasViewFlag (int32_t bit) const
void | setViewFlag (int32_t bit, bool state)
void | setAlphaValueNoInvalidate (float value)
void | setParentFrame (CFrame *frame)
void | setParentView (CView *parent)
Protected Member Functions inherited from IDependency
| IDependency ()=default
virtual | ~IDependency () noexcept

## Protected Attributes
PlatformTextEditPtr | platformControl
StringToValueFunction | stringToValueFunction
bool | immediateTextChange {false}
bool | secureStyle {false}
SharedPointer< CFontDesc > | platformFont
UTF8String | placeholderString
Protected Attributes inherited from CTextLabel
TextTruncateMode | textTruncateMode
UTF8String | text
UTF8String | truncatedText
std::unique_ptr < TextLabelListenerList > | listeners
Protected Attributes inherited from CParamDisplay
ValueToStringFunction2 | valueToStringFunction
CHoriTxtAlign | horiTxtAlign
int32_t | style
uint8_t | valuePrecision
CFontRef | fontID
CColor | fontColor
CColor | backColor
CColor | frameColor
CColor | shadowColor
CPoint | textInset
CPoint | shadowTextOffset {1., 1.}
CPoint | backOffset
CCoord | roundRectRadius
CCoord | frameWidth
double | textRotation
Protected Attributes inherited from CControl
IControlListener * | listener
SubListenerDispatcher | subListeners
int32_t | tag
float | oldValue
float | defaultValue
float | value
float | vmin
float | vmax
float | wheelInc
int32_t | editing
Protected Attributes inherited from IDependency
int32_t | deferChangeCount {0}
DeferedChangesSet | deferedChanges
DependentList | dependents

## CTextEdit Methods
using | StringToValueUserData = CTextEdit
using | StringToValueFunction = std::function< bool(UTF8StringPtr txt, float &result, CTextEdit *textEdit)>
void | setStringToValueFunction (const StringToValueFunction &stringToValueFunc)
void | setStringToValueFunction (StringToValueFunction &&stringToValueFunc)
virtual void | setImmediateTextChange (bool state)
| enable/disable immediate text change behaviour More...
bool | getImmediateTextChange () const
| get immediate text change behaviour More...
void | setSecureStyle (bool state)
| enable/disable secure style More...
bool | getSecureStyle () const
| get secure style More...
virtual void | setPlaceholderString (const UTF8String &str)
const UTF8String & | getPlaceholderString () const

## Additional Inherited Members
Static Public Attributes inherited from CTextLabel
static IdStringPtr | kMsgTruncatedTextChanged = "CTextLabel::kMsgTruncatedTextChanged"
| message which is send to dependent objects when the truncated text changes. More...
Static Public Attributes inherited from CControl
static int32_t | kZoomModifier = kShift
| zoom modifier key, per default is the shift key More...
static int32_t | kDefaultValueModifier = kControl
| default value modifier key, per default is the control key More...
static IdStringPtr | kMessageValueChanged = "kMessageValueChanged"
static IdStringPtr | kMessageBeginEdit = "kMessageBeginEdit"
static IdStringPtr | kMessageEndEdit = "kMessageEndEdit"
Static Public Attributes inherited from CView
static bool | kDirtyCallAlwaysOnMainThread = false
| if this is true, setting a view dirty will call invalid() instead of checking it in idle. More...
static uint32_t | idleRate
| global idle rate in Hz, defaults to 30 Hz More...
Protected Types inherited from CTextLabel
using | TextLabelListenerList = DispatchList< ITextLabelListener * >
Protected Types inherited from CParamDisplay
enum | StyleEnum { StyleShadowText = 0, Style3DIn, Style3DOut, StyleNoText, StyleNoDraw, StyleRoundRect, StyleNoFrame, StyleAntialias, LastStyle }
enum | StylePrivate { kAntialias = 1 << StyleAntialias }
Protected Types inherited from CControl
using | SubListenerDispatcher = DispatchList< IControlListener * >
Protected Types inherited from CView
enum | { kMouseEnabled = 1 << 0, kTransparencyEnabled = 1 << 1, kWantsFocus = 1 << 2, kIsAttached = 1 << 3, kVisible = 1 << 4, kDirty = 1 << 5, kWantsIdle = 1 << 6, kIsSubview = 1 << 7, kLastCViewFlag = 7 }
Protected Types inherited from IDependency
using | DeferedChangesSet = std::set< IdStringPtr >
using | DependentList = std::list< CBaseObject * >
Static Protected Member Functions inherited from CControl
static int32_t | mapVstKeyModifier (int32_t vstModifier)
Static Protected Member Functions inherited from IDependency
static void | rememberObject (CBaseObject *obj)
static void | forgetObject (CBaseObject *obj)

## Detailed Description

a text edit control

Define a rectangle view where a text-value can be displayed and edited with a given font and color. The user can specify its convert function (from char to char). The text-value is centered in the given rect. A bitmap can be used as background.

## Member Typedef Documentation

using PlatformTextEditPtr = SharedPointer<IPlatformTextEdit>

using StringToValueFunction = std::function<bool(UTF8StringPtr txt, float& result, CTextEdit* textEdit)>

using StringToValueUserData = CTextEdit

## Member Enumeration Documentation

enum Style

Enumerator
kDoubleClickStyle |

## Constructor & Destructor Documentation

CTextEdit | ( | const CRect & | size,
|  | IControlListener * | listener,
|  | int32_t | tag,
|  | UTF8StringPtr | txt = `nullptr`,
|  | CBitmap * | background = `nullptr`,
|  | const int32_t | style = `0`
| ) |  |

CTextEdit constructor.

Parameters

  size | the size of this view
  listener | the listener
  tag | the control tag
  txt | the initial text as c string (UTF-8 encoded)
  background | the background bitmap
  style | the display style (see CParamDisplay for styles)

CTextEdit | ( | const CTextEdit & | textEdit | ) |

~CTextEdit | ( |  | ) |
| override protected noexcept

## Member Function Documentation

void createPlatformTextEdit | ( |  | ) |
| protected

void draw | ( | CDrawContext * | pContext | ) |
| override virtual

called if the view should draw itself

Parameters

  pContext | draw context in which to draw

Reimplemented from CParamDisplay.

bool getImmediateTextChange | ( |  | ) | const
| inline

get immediate text change behaviour

const UTF8String& getPlaceholderString | ( |  | ) | const
| inline

PlatformTextEditPtr getPlatformTextEdit | ( |  | ) | const
| inline

bool getSecureStyle | ( |  | ) | const

get secure style

bool isDoubleClickStyle | ( |  | ) | const
| inline

void looseFocus | ( |  | ) |
| override virtual

called if view should loose focus

Reimplemented from CView.

CBaseObject* newCopy | ( |  | ) | const
| inline override virtual

Reimplemented from CParamDisplay.

int32_t onKeyDown | ( | VstKeyCode & | keyCode | ) |
| override virtual

called if a key down event occurs and this view has focus

Parameters

  keyCode | key code of pressed key

Returns
  -1 if not handled and 1 if handled

Reimplemented from CView.

CMouseEventResult onMouseDown | ( | CPoint & | where,
|  | const CButtonState & | buttons
| ) |  |
| override virtual

called when a mouse down event occurs

Parameters

  where | mouse location of mouse down
  buttons | button and modifier state

Returns
  event result. see CMouseEventResult

Reimplemented from CView.

void parentSizeChanged | ( |  | ) |
| override virtual

notification that one of the views parent has changed its size

Reimplemented from CView.

CColor platformGetBackColor | ( |  | ) | const
| inline override protected

CFontRef platformGetFont | ( |  | ) | const
| override protected

CColor platformGetFontColor | ( |  | ) | const
| inline override protected

CHoriTxtAlign platformGetHoriTxtAlign | ( |  | ) | const
| inline override protected

const UTF8String& platformGetPlaceholderText | ( |  | ) | const
| inline override protected

CRect platformGetSize | ( |  | ) | const
| override protected

const UTF8String& platformGetText | ( |  | ) | const
| inline override protected

CPoint platformGetTextInset | ( |  | ) | const
| inline override protected

CRect platformGetVisibleSize | ( |  | ) | const
| override protected

bool platformIsSecureTextEdit | ( |  | ) |
| override protected

void platformLooseFocus | ( | bool | returnPressed | ) |
| override protected

bool platformOnKeyDown | ( | const VstKeyCode & | key | ) |
| override protected

void platformTextDidChange | ( |  | ) |
| override protected

void setImmediateTextChange | ( | bool | state | ) |
| virtual

enable/disable immediate text change behaviour

void setPlaceholderString | ( | const UTF8String & | str | ) |
| virtual

void setSecureStyle | ( | bool | state | ) |

enable/disable secure style

void setStringToValueFunction | ( | const StringToValueFunction & | stringToValueFunc | ) |

void setStringToValueFunction | ( | StringToValueFunction && | stringToValueFunc | ) |

void setText | ( | const UTF8String & | txt | ) |
| override virtual

set text

Reimplemented from CTextLabel.

void setTextRotation | ( | double | angle | ) |
| inline override virtual

Reimplemented from CParamDisplay.

void setValue | ( | float | val | ) |
| override virtual

Reimplemented from CControl.

void setViewSize | ( | const CRect & | newSize,
|  | bool | doInvalid = `true`
| ) |  |
| override virtual

set views size

Parameters

  newSize | rect of new size of view
  doInvalid | if true set view dirty

Reimplemented from CView.

void takeFocus | ( |  | ) |
| override virtual

called if view should take focus

Reimplemented from CView.

void updateText | ( | IPlatformTextEdit * | pte | ) |
| protected

void valueChanged | ( |  | ) |
| override virtual

notifies listener and dependent objects

Reimplemented from CControl.

bool wantsFocus | ( |  | ) | const
| override virtual

check if view supports focus

Reimplemented from CView.

## Member Data Documentation

bool bWasReturnPressed {false}

bool immediateTextChange {false}
| protected

UTF8String placeholderString
| protected

PlatformTextEditPtr platformControl
| protected

SharedPointer<CFontDesc> platformFont
| mutable protected

bool secureStyle {false}
| protected

StringToValueFunction stringToValueFunction
| protected

The documentation for this class was generated from the following files:

- ctextedit.h
- ctextedit.cpp